Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class TypedMap.ValueCollection

    java.lang.Object
      org.jboss.portal.common.util.TypedMap.ValueCollection

All Implemented Interfaces:
  java.lang.Iterable<EV>, java.util.Collection<EV>

Enclosing class:
  TypedMap<EK,EV,IK,IV>

    public class TypedMap.ValueCollection

extends java.lang.Object
implements java.util.Collection<EV>

Nested Class Summary
`class` | `TypedMap.ValueCollection.ValueIterator`

Constructor Summary
`TypedMap.ValueCollection()`

Method Summary
`boolean` | `add(EV ev)`
`boolean` | `addAll(java.util.Collection<? extends EV> evs)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(java.util.Collection<?> objects)`
`boolean` | `isEmpty()`
`java.util.Iterator<EV>` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(java.util.Collection<?> objects)`
`boolean` | `retainAll(java.util.Collection<?> objects)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] ts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### TypedMap.ValueCollection

    public TypedMap.ValueCollection()

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<EV>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<EV>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<EV>`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection<EV>`

### add

    public boolean add(EV ev)

  Specified by:
    `add` in interface `java.util.Collection<EV>`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection<EV>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<EV>`

### addAll

    public boolean addAll(java.util.Collection<? extends EV> evs)

  Specified by:
    `addAll` in interface `java.util.Collection<EV>`

### containsAll

    public boolean containsAll(java.util.Collection<?> objects)

  Specified by:
    `containsAll` in interface `java.util.Collection<EV>`

### removeAll

    public boolean removeAll(java.util.Collection<?> objects)

  Specified by:
    `removeAll` in interface `java.util.Collection<EV>`

### retainAll

    public boolean retainAll(java.util.Collection<?> objects)

  Specified by:
    `retainAll` in interface `java.util.Collection<EV>`

### toArray

    public <T> T[] toArray(T[] ts)

  Specified by:
    `toArray` in interface `java.util.Collection<EV>`

### iterator

    public java.util.Iterator<EV> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<EV>`
  Specified by:
    `iterator` in interface `java.util.Collection<EV>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD